import java.sql.*;

public class MySqlConnection {
    public static void main(String[] args) {
        try {
	    // MySQL-Treiber ber Java-Reflection laden
	    Class.forName("com.mysql.jdbc.Driver").newInstance();
	}
	catch (Exception e) {
	    // evtl. Exception transformieren
	    throw new RuntimeException("MySQL driver not found: "+e);
	}

	Connection con = null;

	try {
	    String url = "jdbc:mysql://theseus:14317/mydb?user=sep&password=test";
	    // Verbindung herstellen
	    con = DriverManager.getConnection(url);

	    // ... mit der MySQL-Verbindung arbeiten ...
	}
	catch (SQLException e) {
	    System.err.println("Exception: "+e);
	}
	finally {
	    // in jedem Fall die Verbindung sauber beenden
	    if (con != null) {
	        try { con.close(); }
		catch (Exception e) { }
	    }
	}
    }
}
