public class LoadDriver {
    public static void main(String[] args) {
        try {
	    // MySQL-Treiber ber Java-Reflection laden
	    // hierbei registriert sich der Treiber beim
	    // DriverManager; daher kann uns auch das
	    // erzeugte Objekt egal sein
	    Class.forName("com.mysql.jdbc.Driver").newInstance();
	}
	catch (Exception e) {
	    // evtl. Exception transformieren
	    throw new RuntimeException("MySQL driver not found: "+e);
	}
    }
}
