import java.sql.*;

public class Update {
    public static void main(String[] args) {
        try {
	    // MySQL-Treiber ber Java-Reflection laden
	    Class.forName("com.mysql.jdbc.Driver").newInstance();
	}
	catch (Exception e) {
	    // evtl. Exception transformieren
	    throw new RuntimeException("MySQL driver not found: "+e);
	}

	Connection con = null;

	try {
	    String url = "jdbc:mysql://theseus:14317/mydb";
	    // Verbindung herstellen
	    con = DriverManager.getConnection(url, "sep", "test");

	    Statement stmt = null;
	    
	    try {
	        // Objekt zum Ausfhren von SQL-Anweisungen erzeugen
	        stmt = con.createStatement();

		// SQL-Anweisung vorbereiten
	        String name = "Armin Rutzen";
		// wenn name z.B. ein einfaches Hochkomma
		// enthlt, dann geht es schief!
		// => PreparedStatement wre hier besser gewesen
	        String sql = "INSERT INTO Angestellte VALUES "
	                     +"(5, '"+name+"', 'SAI')";

		// SQL-Anweisung ausfhren
	        int count = stmt.executeUpdate(sql);

	        System.out.println(count+" Datenstze betroffen");
	    }
	    finally {
	        // Statement wieder sauber schlieen
	        if (stmt != null) {
	            try { stmt.close(); }
		    catch (SQLException e) { }
		}
	    }
	}
	catch (SQLException e) {
	    System.err.println("Exception: "+e);
	}
	finally {
	    // in jedem Fall die Verbindung sauber beenden
	    if (con != null) {
	        try { con.close(); }
		catch (SQLException e) { }
	    }
	}
    }
}
